clear;clc
lines=[9681003 9902458 9868636 10389312 10571078 10748926 ...
    11010645 10274496 9639024 10152826 10603979 10192807];
%unix('ls ASBD/*.edge>filelist.edge');
%unix('ls ASBD/*.tran>filelist.tran');
NN=12;
fid1 = fopen('filelist.edge','r');
fid2 = fopen('filelist.tran','r');
edgeRow = zeros(1,NN);
tranRow = zeros(1,NN);
for i=1:NN
    filename1 = fscanf(fid1, '%s', 1);
    filename2 = fscanf(fid2, '%s', 1);
    fidedge = fopen(filename1,'r');
    fidtran = fopen(filename2,'r');
    s1 = ['edge' num2str(i) '=fscanf(fidedge,''%d %d %d %d %d %f'',[6,inf])'';'];
    s2 = ['tran' num2str(i) '=fscanf(fidtran,''%d %d %d %d %d %f'',[6,inf])'';'];
    eval(s1);
    eval(s2);
    fclose(fidedge);
    fclose(fidtran);
    edgeRow(i) = eval(['size(edge' num2str(i) ',1)']);
    tranRow(i) = eval(['size(tran' num2str(i) ',1)']);
end
totalAS = edgeRow + tranRow;
N = 6;
for i=1:NN
    s1=['edge' num2str(i) '=edge' num2str(i) '(:,N);'];
    s2=['tran' num2str(i) '=tran' num2str(i) '(:,N);'];
    eval(s1);
    eval(s2);
end
[fe1,xe1] = ecdf(edge1);
[ft1,xt1] = ecdf(tran1);
figure('Position',[1 40 768 307]);
subplot(1,3,1)
loglog(xe1,1-fe1)
ylabel('CCDF');
title('(a) CCDF of x_e');
set(gca,'XLim',[1, 300]);
subplot(1,3,2)
plot(xt1,(1-ft1))
ylabel('CCDF');
title('(b) CCDF of x_t when x_t\leq40');
set(gca,'XLim',[2, 40]);
subplot(1,3,3)
loglog(xt1,(1-ft1))
ylabel('CCDF');
title('(c) CCDF of x_t when x_t>40');
set(gca,'XLim',[41, 2000]);