clc;clear;
fid1 = fopen('diameter.dat','r');
fid2 = fopen('subdiameter.dat','r');
NN=12;
dia1=fscanf(fid1,'%d %d',[2,inf])';
dia2=fscanf(fid2,'%d %d',[2,inf])';
fclose(fid1);
fclose(fid2);
scrsz = get(0,'ScreenSize');
label = [ '09-01';
          '09-03';
          '09-05';
          '09-07';
          '09-09';
          '09-11';
          '10-01';
          '10-03';
          '10-05';
          '10-07';
          '10-09';
          '10-11'];

figure('Position',[1 scrsz(4)/2 3*scrsz(3)/4 0.3*scrsz(3)]);
x=1:NN;
plot(x,dia1(:,1),'-s',x,dia2(:,1),':ko',x,(dia1(:,1)-dia2(:,1))/2,'--rd');
% because each bin is .5 data units wide.
set(gca,'XLim',[.5 12.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:12])  % This automatically sets 
                         % the XTickMode to manual.

set(gca,'XTickLabel',label)

ylabel('Length');
xlabel('Time');
legend('Diameter of whole graph','Diameter of sub-graph','Thickness of shell');

figure('Position',[1 scrsz(4)/2 3*scrsz(3)/4 0.3*scrsz(3)]);
x=1:NN;
plot(x,dia1(:,2),'-s',x,dia2(:,2),':ko',x,(dia1(:,2)-dia2(:,2))/2,'--rd');
% because each bin is .5 data units wide.
set(gca,'XLim',[.5 12.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:12])  % This automatically sets 
                         % the XTickMode to manual.

set(gca,'XTickLabel',label)

ylabel('Length');
xlabel('Time');
legend('Diameter of whole graph','Diameter of sub-graph','Thickness of shell');
