clear;clc
%folder='ASNO/';
%unix('ls ASNO/*.asno>filelist');
%unix('ls edge/*.edge>filelist.edge');
NN=12;
fid = fopen('filelist','r');
for i=1:NN
    s1 = ['asfile' num2str(i) '=fscanf(fid,''%s'',1);'];
    eval(s1);
end
fclose(fid);
stable = zeros(1,NN-1);
for d=1:NN-1
    edgeSize = zeros(1,NN-d);
    staySize = zeros(1,NN-d);
    for i=1:NN-d
        s1 = ['f1 = asfile' num2str(i) ';'];
        s2 = ['f2 = asfile' num2str(i+d) ';'];
        eval(s1);
        eval(s2);
        fid1 = fopen(f1,'r');
        fid2 = fopen(f2,'r');
        tmp1 = fscanf(fid1,'%d',[4,inf]);
        tmp2 = fscanf(fid2,'%d',[4,inf]);
        fclose(fid1);
        fclose(fid2);
        as1 = getParticularAS(tmp1,1);
        as2 = getParticularAS(tmp2,1);
        len1 = length(as1);
        len2 = length(as2);
        edgeSize(i) = len1;
        count = 0;
        for j=1:len1
            for k=1:len2
                if as1(j)==as2(k)
                    count = count+1;
                    break;
                end
            end
        end
        staySize(i) = count;
    end
    stable(d) = mean(staySize./edgeSize);
end

scrsz = get(0,'ScreenSize');

figure('Position',[1 scrsz(4)/2 3*scrsz(3)/4 0.3*scrsz(3)]);
plot(2:2:22,stable,'-d')
ylabel('Percentage of stability');
xlabel('Time (month)');
