clear;clc
lines=[9681003 9902458 9868636 10389312 10571078 10748926 ...
    11010645 10274496 9639024 10152826 10603979 10192807];
%unix('ls BD/*.bd>filelist.bd');
%unix('ls subBD/*.bd>filelist.bd');
NN=12;
fid = fopen('filelist.bd','r');
totalAS = zeros(1,NN);
for i=1:NN
    filename = fscanf(fid, '%s', 1);
    fid1 = fopen(filename,'r');
    s1 = ['as' num2str(i) '=fscanf(fid1,''%d %d %f'',[3,inf])'';'];
    eval(s1);
    totalAS(i) = eval(['size(as' num2str(i) ',1)']);
    fclose(fid1);
end
asMin = min(totalAS);

N = 3;
asM = [   as1(1:asMin,N) as2(1:asMin,N) as3(1:asMin,N)...
            as4(1:asMin,N) as5(1:asMin,N) as6(1:asMin,N)... 
            as7(1:asMin,N) as8(1:asMin,N) as9(1:asMin,N)... 
            as10(1:asMin,N) as11(1:asMin,N) as12(1:asMin,N)
            ];

for i=1:NN
    asM(:,i) = asM(:,i)/totalAS(i)/(totalAS(i)-1)*2;  
%       edgeM(:,i) = edgeM(:,i)/lines(i);
%       tranM(:,i) = tranM(:,i)/lines(i);
end
asM=asM+10^(-9);
scrsz = get(0,'ScreenSize');
label = [ '09-01';
          '09-03';
          '09-05';
          '09-07';
          '09-09';
          '09-11';
          '10-01';
          '10-03';
          '10-05';
          '10-07';
          '10-09';
          '10-11'];

figure('Position',[1 scrsz(4)/2 3*scrsz(3)/4 0.3*scrsz(3)]);
boxplot(asM,'outliersize',0.1,'whisker',inf)%'medianstyle','target');%,'whisker',100);
% because each bin is .5 data units wide.
set(gca,'XLim',[.5 12.5]);% This automatically sets the
                         % XLimMode to manual.
set(gca,'XTick',[1:12])  % This automatically sets 
                         % the XTickMode to manual.

set(gca,'XTickLabel',label)
%ylabel('Degree of ASes');
ylabel('Normalized betweenness of ASes');
%ylabel('Probability of appearing');
xlabel('Time');
hold on
plot(1:12,median(asM,1),'*');
hold off